Bug 976341 - rpmlint reports missing-lsb-keyword Default-Stop
rpmlint reports missing-lsb-keyword Default-Stop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpmlint (Show other bugs)
7.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Thomas Woerner
Hubert Kario
:
Depends On: 663082
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 08:13 EDT by Hubert Kario
Modified: 2014-06-18 04:28 EDT (History)
9 users (show)

See Also:
Fixed In Version: rpmlint-1.5-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 663082
Environment:
Last Closed: 2014-06-13 07:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-06-20 08:13:00 EDT
During testing, it was discovered that this bug is still present in RHEL-7.0-20130606.0 compose

+++ This bug was initially created as a clone of Bug #663082 +++

+++ This bug was initially created as a clone of Bug #634939 +++

> libcgroup.x86_64: W: missing-lsb-keyword Default-Stop in
> /etc/rc.d/init.d/cgred
> libcgroup.x86_64: W: missing-lsb-keyword Default-Stop in
> /etc/rc.d/init.d/cgconfig

Looking at the current packaging guidelines, "If the service does not start by default in any runlevel, this line should be omitted." And the services *are* off by default.

----------------------------------------------------------------------

Shouldn't rpmlint not report this warning then?
Comment 10 Ludek Smid 2014-06-13 07:44:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.